<?php
/**
 * @version   1.0.0
 * @package   nuMuzik
 * @author    Nuevvo - http://nuevvo.com
 * @copyright Copyright (c) 2010 - 2013 Nuevvo Webware Ltd. All rights reserved.
 * @license   http://nuevvo.com/license
 */

$count = 5; // Change the count to the number of items to show per slide

// DO NOT CHANGE ANYTHING BELOW THIS LINE
$document 	= JFactory::getDocument();
$numOfPages = floor(count($items)/$count);
defined('_JEXEC') or die('Restricted access');

?>
<script type="text/javascript">
$nuSlider(document).ready(function(){
   $nuSlider('#k2ModuleBox<?php echo $module->id; ?>').nuSlider( {
       orientation: 'horizontal',
       step:<?php echo $count; ?>,
       viewport:<?php echo $count; ?>,
       transitionTime : 1000,
       minItemWidth:223
    });

    $nuSlider('#k2ModuleBox<?php echo $module->id; ?> .moduleItemLink').click(function(event) {
        event.preventDefault();
        var url = $nuSlider(this).attr('href');
        if(url.indexOf('?') === -1) {
        	url += '?format=json';
        } else {
        	url += '&format=json';
        }

        $nuSlider.getJSON(url, function(response) {
            var date = response.item.created.replace(' ', ',');
            var date = date.replace(/-/g, ' ');
            var created = new Date(date);
            $nuSlider('#k2ModuleBox<?php echo $module->id; ?> .fullVideoItem .moduleItemDateCreated').html(created.getDate()+'/'+(created.getMonth()+1)+'/'+ created.getFullYear());
            $nuSlider('#k2ModuleBox<?php echo $module->id; ?> .fullVideoItem .moduleItemVideo').html(response.item.video);
            $nuSlider('#k2ModuleBox<?php echo $module->id; ?> .fullVideoItem .moduleItemTitle').html(response.item.title);
            $nuSlider('#k2ModuleBox<?php echo $module->id; ?> .fullVideoItem .moduleItemIntrotext').html(response.item.introtext);
            $nuSlider('#k2ModuleBox<?php echo $module->id; ?> .fullVideoItem .moduleItemAuthor').html(response.item.author.name);
            $nuSlider('#k2ModuleBox<?php echo $module->id; ?> .fullVideoItem .moduleItemVideoCredits').html(response.item.video_credits);
            $nuSlider('#k2ModuleBox<?php echo $module->id; ?> .fullVideoItem .moduleItemVideoCaption').html(response.item.video_caption);
        });
    });
});
</script>

<div id="k2ModuleBox<?php echo $module->id; ?>" class="k2ItemsBlock<?php if($params->get('moduleclass_sfx')) echo ' '.$params->get('moduleclass_sfx'); ?> videosSlider noise">

	<?php if($params->get('itemPreText')): ?>
	<p class="modulePretext"><?php echo $params->get('itemPreText'); ?></p>
	<?php endif; ?>
	<?php if(count($items)): ?>

	<div class="fullVideoItem">
    <div class="moduleItemVideo">
    	<?php echo $items[0]->video; ?>
    </div>
		<div class="clr"></div>
		
		<div class="videoInfoWrapper">
		  <span class="moduleItemVideoCaption"><?php echo $items[0]->video_caption; ?></span>
    	<span class="moduleItemVideoCredits"><?php echo $items[0]->video_credits; ?></span>

	    <?php if($params->get('itemTitle')): ?>
	    <a class="moduleItemTitle" href="<?php echo $items[0]->link; ?>"><?php echo $items[0]->title; ?></a>
	    <?php endif; ?>
	
	    <?php if($params->get('itemAuthor')): ?>
	    <div class="moduleItemAuthor">
	      <?php echo K2HelperUtilities::writtenBy($items[0]->authorGender); ?>
				<?php echo $items[0]->author; ?>
			</div>
			<?php endif; ?>
	
			<?php if($params->get('itemIntroText')): ?>
	    <div class="moduleItemIntrotext">
	    	<?php echo $items[0]->introtext; ?>
	    </div>
		  <?php endif; ?>
	
	    <?php if($params->get('itemExtraFields') && count($items[0]->extra_fields)): ?>
	    <div class="moduleItemExtraFields">
	      <?php foreach ($items[0]->extra_fields as $extraField): ?>
				<?php if($extraField->value): ?>
				<div class="type<?php echo ucfirst($extraField->type); ?> group<?php echo $extraField->group; ?> field<?php echo $extraField->name; ?>">
					<span class="moduleItemExtraFieldsLabel"><?php echo $extraField->name; ?></span>
					<span class="moduleItemExtraFieldsValue"><?php echo $extraField->value; ?></span>
					<div class="clr"></div>
				</div>
				<?php endif; ?>
	      <?php endforeach; ?>
	    </div>
	    <?php endif; ?>
	
	   	<?php if($params->get('itemDateCreated')): ?>
		  <span class="moduleItemDateCreated"><?php echo JHTML::_('date', $items[0]->created, JText::_('DATE_FORMAT_NUMUZIK')); ?></span>
		  <?php endif; ?>
		</div>
	</div> <!--/.fullVideoItem-->

	<div class="slidesWrap">
	  <div class="itemsWrapper">
	  	<div class="items">

		 	<?php foreach ($items as $key=>$item): ?>
			<div class="item">

	 		 <div class="singleItem <?php echo ($key%2) ? "odd" : "even"; if(count($items)==$key+1) echo ' lastItem'; ?>">

		      <!-- Plugins: BeforeDisplay -->
		      <?php echo $item->event->BeforeDisplay; ?>

		      <!-- K2 Plugins: K2BeforeDisplay -->
		      <?php echo $item->event->K2BeforeDisplay; ?>

		      <?php if($params->get('itemAuthorAvatar')): ?>
		      <a class="k2Avatar moduleItemAuthorAvatar" rel="author" href="<?php echo $item->authorLink; ?>">
					<img src="<?php echo $item->authorAvatar; ?>" alt="<?php echo K2HelperUtilities::cleanHtml($item->author); ?>" style="width:<?php echo $avatarWidth; ?>px;height:auto;" />
				  </a>
		      <?php endif; ?>

				  <?php if($params->get('itemImage') && isset($item->image) || $params->get('itemTitle')): ?>
				  <div class="imgWrapper">
				  
				  	<?php if($params->get('itemImage') && isset($item->image)): ?>
			      <a class="moduleItemImage moduleItemLink" href="<?php echo $item->link; ?>" title="<?php echo JText::_('K2_CONTINUE_READING'); ?> &quot;<?php echo K2HelperUtilities::cleanHtml($item->title); ?>&quot;">
			      	<img src="<?php echo $item->image; ?>" alt="<?php echo K2HelperUtilities::cleanHtml($item->title); ?>"/>
			      </a>
			      <?php endif; ?>
			      
				    <?php if($params->get('itemTitle')): ?>
			      <a class="moduleItemTitle moduleItemLink" href="<?php echo $item->link; ?>"><?php echo $item->title; ?></a>
			      <?php endif; ?>
			      
		      </div>
		      <?php endif; ?>

		      <!-- Plugins: AfterDisplayTitle -->
		      <?php echo $item->event->AfterDisplayTitle; ?>

		      <!-- K2 Plugins: K2AfterDisplayTitle -->
		      <?php echo $item->event->K2AfterDisplayTitle; ?>

		      <!-- Plugins: BeforeDisplayContent -->
		      <?php echo $item->event->BeforeDisplayContent; ?>

		      <!-- K2 Plugins: K2BeforeDisplayContent -->
		      <?php echo $item->event->K2BeforeDisplayContent; ?>

		      <div class="clr"></div>

		      <!-- Plugins: AfterDisplayContent -->
		      <?php echo $item->event->AfterDisplayContent; ?>

		      <!-- K2 Plugins: K2AfterDisplayContent -->
		      <?php echo $item->event->K2AfterDisplayContent; ?>

		      <?php if($params->get('itemCategory')): ?>
		      <?php echo JText::_('K2_IN') ; ?> <a class="moduleItemCategory" href="<?php echo $item->categoryLink; ?>"><?php echo $item->categoryname; ?></a>
		      <?php endif; ?>

		      <?php if($params->get('itemAttachments') && count($item->attachments)): ?>
				<div class="moduleAttachments">
					<?php foreach ($item->attachments as $attachment): ?>
					<a title="<?php echo K2HelperUtilities::cleanHtml($attachment->titleAttribute); ?>" href="<?php echo $attachment->link; ?>"><?php echo $attachment->title; ?></a>
					<?php endforeach; ?>
				</div>
		      <?php endif; ?>

					<?php if($params->get('itemCommentsCounter') && $componentParams->get('comments')): ?>
						<?php if(!empty($item->event->K2CommentsCounter)): ?>
							<!-- K2 Plugins: K2CommentsCounter -->
							<?php echo $item->event->K2CommentsCounter; ?>
						<?php else: ?>
							<?php if($item->numOfComments>0): ?>
							<a class="moduleItemComments" href="<?php echo $item->link.'#itemCommentsAnchor'; ?>">
								<?php echo $item->numOfComments; ?> <?php if($item->numOfComments>1) echo JText::_('K2_COMMENTS'); else echo JText::_('K2_COMMENT'); ?>
							</a>
							<?php else: ?>
							<a class="moduleItemComments" href="<?php echo $item->link.'#itemCommentsAnchor'; ?>">
								<?php echo JText::_('K2_BE_THE_FIRST_TO_COMMENT'); ?>
							</a>
							<?php endif; ?>
						<?php endif; ?>
					<?php endif; ?>

					<?php if($params->get('itemHits')): ?>
					<span class="moduleItemHits">
						<?php echo JText::_('K2_READ'); ?> <?php echo $item->hits; ?> <?php echo JText::_('K2_TIMES'); ?>
					</span>
					<?php endif; ?>

					<?php if($params->get('itemReadMore') && $item->fulltext): ?>
					<a class="moduleItemReadMore" href="<?php echo $item->link; ?>">
						<?php echo JText::_('K2_READ_MORE'); ?>
					</a>
					<?php endif; ?>

		      <!-- Plugins: AfterDisplay -->
		      <?php echo $item->event->AfterDisplay; ?>

		      <!-- K2 Plugins: K2AfterDisplay -->
		      <?php echo $item->event->K2AfterDisplay; ?>

		      <div class="clr"></div>

		   	 </div><!--/.odd/even single k2 item-->
				</div> <!--/.item -->

		   <?php endforeach; ?>
	    </div> <!--/.items-->
	  </div> <!--/.itemsWrapper-->
	 </div> <!--/.slidesWrap-->
  <?php endif; ?>

 	<div class="nuSliderPagination">
		<ul>
			<li><span class="prev"><a class="previousButton">&laquo;</a></span></li>
			<?php foreach($items as $key => $item):?>
				<?php if($key == 0){ $buttonClass='navigationButton navigationButtonActive';} else {$buttonClass='navigationButton';}?>
				<li><a class="<?php echo $buttonClass;?>"></a></li>
			<?php endforeach; ?>
			<li><span class="next"><a class="nextButton">&raquo;</a></span></li>
		</ul>
	</div>

	<?php if($params->get('itemCustomLink')): ?>
	<a class="moduleCustomLink" href="<?php echo $params->get('itemCustomLinkURL'); ?>" title="<?php echo K2HelperUtilities::cleanHtml($itemCustomLinkTitle); ?>"><?php echo $itemCustomLinkTitle; ?></a>
	<?php endif; ?>

	<?php if($params->get('feed')): ?>
	<div class="k2FeedIcon">
		<a href="<?php echo JRoute::_('index.php?option=com_k2&view=itemlist&format=feed&moduleID='.$module->id); ?>" title="<?php echo JText::_('K2_SUBSCRIBE_TO_THIS_RSS_FEED'); ?>">
			<span><?php echo JText::_('K2_SUBSCRIBE_TO_THIS_RSS_FEED'); ?></span>
		</a>
		<div class="clr"></div>
	</div>
	<?php endif; ?>

</div>
